Subject: Re: bug#23424: 25.0.93; error in process sentinel with Melpa added to package-archives

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 May 2016 17:59:08 +0300

> From: Kaushal Modi <[email-masked]>
> Date: Mon, 02 May 2016 23:18:38 +0000
> Cc: [email-masked]
> 
> So can we have something like:
> - If (apply url-callback-function url-callback-arguments) returns an error, then extract the url being fetched from
> url-callback-function and print some like "Error incurred when when processing XYZ url.". In this case, we
> know that read-from-string threw an error. So we can even say that the string fetched from XYZ url could not
> be parsed as a valid lisp form (it does not necessarily mean that it read an empty string; in this case the lisp
> form was incomplete). 

Can you propose a patch?

> The value of url-callback-function has a lot of other info which I do not understand (I spy mainly the URL in it
> and "read-from-string" in it). But may be using all the info in that var, we can have a well constructed error
> message that can tell us what exactly went wrong. What do you think? 

I know almost nothing about that code, perhaps someone else could
answer.